Subject: Re: [PATCH] gnu: font-go: Update to 2.010

From: krm sry <[email-masked]>
Date: Mon, 7 Apr 2025 21:24:00 +0900

Sorry for sending a bad patch.

Regarding the change in version number, I thought it would be more natural
to use the configured version rather than creating a version number for
convenience. I should have written this in the commit message as well.
Sorry.

I will also rewrite the commit message. I will try to write a better patch.

On Mon, Apr 7, 2025 at 6:48 PM Andreas Enge <[email-masked]> wrote:

> Hello,
>
> Am Wed, Apr 02, 2025 at 05:08:06PM +0900 schrieb Kurome:
> > +      (version (git-version "2.010" revision commit))
>
> your patch leaves me a bit confused. Where does this version number come
> from? The commit 41969df76e82aeec85fa3821b1e24955ea993001 mentions it,
> but does not set it anywhere in the source code.
>
> I also wonder what happens when we go back in version numbers,
> from the year based one to a smaller number. Maybe we should just stay
> with years and use 20220616, the date of the commit?
>
> When you change the package writing to gexps etc., this should also be
> mentioned in the commit message.
>
> Andreas
>
>